<!DOCTYPE html>
<html>
  <head>
    <title>Parcel Sandbox</title>
    <meta charset="UTF-8" />
  </head>
  <script src="index.js"></script>
  <style>
    body.bodyclass {
      color: rgb(0, 53, 151);
      font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
    }
    body.bodyclass1 {
      color: rgb(22, 110, 0);
      font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
        "Lucida Sans", Arial, sans-serif;
      background-image: url(https://radiorfa.com/wp-content/uploads/2015/12/matrix-3109795_19201.jpg);
    }

    img {
      width: auto;
      max-width: 100%;
      height: auto;
    }
    h3 {
      color: white;
      margin-left: 20px;
      margin-right: 20px;
    }
    p {
      margin-left: 20px;
    }
    p.pblack {
      color: rgb(0, 0, 0);
      word-wrap: break-word;
    }
    h1.name {
      text-align: center;
    }
    hr.line {
      height: 100px;
    }
    h2.zag {
      margin-left: 10px;
      text-align: center;
    }

    div.bigz {
      margin: auto;
      width: 80%;
      height: 30px;
    }
    div.column {
      width: 50%;
    }
    h3.zags {
      color: rgb(170, 5, 5);
    }

    .switch {
      position: relative;
      display: inline-block;
      width: 60px;
      height: 34px;
    }
    .switch input {
      opacity: 0;
      width: 0;
      height: 0;
    }

    .slider {
      position: absolute;
      cursor: pointer;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background-color: rgb(250, 250, 250);
      -webkit-transition: 0.4s;
      transition: 0.4s;
    }

    .slider:before {
      position: absolute;
      content: "";
      height: 26px;
      width: 26px;
      left: 4px;
      bottom: 4px;
      background-color: rgb(0, 23, 73);
      -webkit-transition: 0.4s;
      transition: 0.4s;
    }

    input:checked + .slider {
      background-color: rgb(0, 126, 6);
    }

    input:focus + .slider {
      box-shadow: 0 0 1px #2196f3;
    }

    input:checked + .slider:before {
      -webkit-transform: translateX(26px);
      -ms-transform: translateX(26px);
      transform: translateX(26px);
    }
    div.info {
      box-sizing: border-box;
      color: white;
      padding-top: 120px;
      padding-left: 50px;
      height: 50%;
      width: 400px;
      background-image: url(https://www.meme-arsenal.com/memes/10c4603b7ed6de789f9c0003683a420f.jpg);
    }
    div.avatar {
      box-sizing: border-box;
      width: auto;
      height: 50%;
    }
    div.all {
      display: flex;
      height: auto;
      width: 1000px;
      margin: auto;
    }
    .button {
      background-color: rgb(18, 47, 143); /* Green */
      border: none;
      color: white;
      padding: 15px 32px;
      text-align: center;
      text-decoration: none;
      display: inline-block;
      font-size: 16px;
    }
    input#form {
      display: none;
      width: 100%;
    }
    input#save {
      display: none;
    }
    div.about {
      width: 65%;
      background-image: url(https://i.pinimg.com/originals/d5/62/e8/d562e890b216ea0b43dcab902850e7c9.jpg);
    }
    div.header {
      margin: auto;
      width: 80%;
      height: 130px;
      border-bottom: 5px solid rgba(0, 72, 165, 0.815);
    }
  </style>

  <body id="body" class="bodyclass">
    <div id="all" class="all">
      <div id="idinfoblock">
        <div id="ava" class="avatar">
          <img id="cart" />
        </div>
        <div id="idinfo"></div>
      </div>
      <div id="idabout">
        <div>
          <div id="idheader"></div>
          <div style="display: flex;">
            <div id="mydata" style="width: 50%;"></div>
            <div id="iknow" style="width: 50%;"></div>
          </div>
          <div id="workexp" class="bigz"></div>
          <div style="display: flex;">
            <div id="myone" style="width: 50%;"></div>
            <div id="listlang" style="width: 50%;"></div>
          </div>
          <div style="display: flex;">
            <div id="mytwo" style="width: 50%;"></div>

            <div id="listlangtwo" style="width: 50%;"></div>
          </div>
          <div id="edu" class="bigz"></div>
          <div style="display: flex;">
            <div id="eduone" style="width: 50%;"></div>
            <div id="edudip" style="width: 50%;"></div>
          </div>
          <div style="display: flex;">
            <div id="edutwo" style="width: 50%;"></div>
            <div id="edutwodip" style="width: 50%;"></div>
          </div>
          <div id="changer" class="bigz"></div>
        </div>
      </div>
    </div>
    <script>
      class Element {
        constructor(elId, html) {
          this.elId = elId;
          this.html = html;
        }
        render() {
          const element = document.getElementById(this.elId);
          if (element) {
            element.innerHTML = this.html;
          }
        }
      }

      class Img {
        constructor(elId, src) {
          this.elId = elId;
          this.src = src;
        }
        renderImg() {
          const img = document.getElementById(this.elId);
          if (img) {
            img.src = this.src;
          }
        }
      }
      class BigElement {
        constructor(elId, elclass) {
          this.elId = elId;
          this.elclass = elclass;
        }
        renderBig() {
          const element = document.getElementById(this.elId);
          if (element) {
            element.className = this.elclass;
          }
        }
      }
      class BigElementText extends BigElement {
        constructor(elId, elclass, html) {
          super(elId, elclass);
          this.html = html;
        }
        renderBigText() {
          const element = document.getElementById(this.elId);
          if (element) {
            element.className = this.elclass;
            element.innerHTML = this.html;
          }
        }
      }

      const idinfoblock = new BigElement("idinfoblock", "infoblock");
      idinfoblock.renderBig();
      const idabout = new BigElement("idabout", "about");
      idabout.renderBig();
      const changer = new Element(
        "changer",
        `	<p class = "pblack">Изменить фон</p>
									<label id = "but" class="switch">
											<input type="checkbox">
											<span class="slider"></span>
										</label>`
      );
      changer.render();
      const cart = new Img(
        "cart",
        "https://st2.depositphotos.com/1192109/i/600/depositphotos_61517529-stock-photo-unrecognizable-person.jpg"
      );
      cart.renderImg();
      const myone = new Element(
        "myone",
        `<h3 class="zags">Первая работа</h3><p id="mywork" class = "pblack">Кем-то был</p>`
      );
      myone.render();
      const mytwo = new Element(
        "mytwo",
        `	<h3 class="zags">Вторая работа</h3>
										<p class = "pblack">И здесь кем-то был</p>`
      );
      mytwo.render();
      const idinfo = new BigElementText(
        "idinfo",
        "info",
        `<h3>Контактная информация</h3>
          <p>Адрес оффиса: город Минск,</p>
          <p>улица неизвестная,</p>
          <p>электронная почта:</p>
          <p>inkognito@gmail.com</p>
          <p>портфолио:</p>
          <p>http.......</p>
					<h3>Рекомендации с прошлых мест работы</h3>`
      );
      idinfo.renderBigText();
      const iknow = new Element(
        "iknow",
        `<h2 class="zag">Основные умения</h2>
              <ul class="list">
                <li>css</li>
                <li>html</li>
                <li>гитхаб</li>
								<li>js</li>
							</ul>`
      );
      iknow.render();
      const listlang = new Element(
        "listlang",
        `<ul class="list">
									<li>Работал</li>
									<li>Работал</li>
									<li>Работал</li>
									<li>Работал</li>
								</ul>`
      );
      listlang.render();
      const idheader = new BigElementText(
        "idheader",
        "header",
        `<h1 class="name">Павел<br />Постнов</h1>
						<h2 class ="zag">будущий кто-то</h2>`
      );
      idheader.renderBigText();
      const mydata = new Element(
        "mydata",
        `<h2 id ="mydata" class="zag">Личные данные</h2>
									<p class = "pblack" id = "text">Я такой то такой то. Делаю то то то то, ориентирован на результат в работе.</p>
									<p><input id = "form" size="40" value=""></p>
									<p><input id="save" type="button" value=" сохранить "></p>							
									<p><input id="button" type="button" class="button" value=" Добавить информацию "></p>`
      );
      mydata.render();
      const workexp = new Element(
        "workexp",
        `<h1 class="name">Опыт работы</h1>`
      );
      workexp.render();
      const listlangtwo = new Element(
        "listlangtwo",
        `<ul class="list">
										<li>Работал</li>
										<li>Работал</li>
										<li>Работал</li>
										<li>Работал</li>
									</ul>`
      );
      listlangtwo.render();
      const edu = new Element("edu", `<h1 class="name">Образование</h1>`);
      edu.render();
      const eduone = new Element(
        "eduone",
        '<h3 class="zags">Первое</h3><p class = "pblack">1990-2000</p>'
      );
      eduone.render();
      const edudip = new Element(
        "edudip",
        `	<p class = "pblack">Диплом о высшем образовании</p>`
      );
      edudip.render();
      const edutwo = new Element(
        "edutwo",
        '<h3 class="zags">Первое</h3><p class = "pblack">2000-2010</p>'
      );
      edutwo.render();
      const edutwodip = new Element(
        "edutwodip",
        `	<p class = "pblack">Диплом о высшем образовании</p>`
      );
      edutwodip.render();
    </script>
  </body>
</html>
